<div id="create-collection">
  <div class="d-flex align-center justify-space-between">
    <nuxt-link to="/admin/shop/collection" class="text-decoration-none">
      <div class="d-flex align-center">
        <v-icon color="#242A2E">
          mdi-arrow-left
        </v-icon>
        <p class="mb-0 h6 ml-7 colorGreyMain">
          Collection {{findNameCollection}}
        </p>
      </div>
    </nuxt-link>
    <div>
      <v-btn color="#076CE3" class="elevation-0" @click="onUpdateCollection()" :disabled="loading">
        <v-progress-circular indeterminate color="#076CE3" v-if="loading" size="22">
        </v-progress-circular>
        <div class="d-flex align-center" v-else>
          <v-icon color="#ffffff">
            mdi-check
          </v-icon>
          <p class="ml-2 mb-0 fsize-16 text-capitalize white--text">
            Save
          </p>
        </div>
      </v-btn>
    </div>
  </div>
  <v-row class="mt-5">
    <v-col cols="12" class="pa-3">
      <v-card class="elevation-0 pa-6">
        <p class="mb-0 fsize-18 lightContentPrimary">
          Basic Information
        </p>
        <v-row no-gutters>
          <v-col cols="12" sm="4" class="pa-3 d-flex align-center justify-end">
            <p class="mb-0 lightContentPrimary text-right text-capitalize">
              *Collection Name:
            </p>
          </v-col>
          <v-col cols="12" sm="8" class="pa-3">
            <div id="hideBottomInput">
              <v-text-field dense outlined placeholder="Collection Name" v-model="collection.name">
              </v-text-field>
            </div>
          </v-col>
          <v-col cols="12" sm="4" class="pa-3 d-flex align-center justify-end">
            <p class="mb-0 lightContentPrimary text-right text-capitalize">
              Link:
            </p>
          </v-col>
          <v-col cols="12" sm="8" class="pa-3">
            <div id="hideBottomInput">
              <v-text-field dense outlined placeholder="Collection slug" v-model="collection.slug">
              </v-text-field>
            </div>
          </v-col>
          <v-col cols="12" sm="4" class="pa-3">
            <p class="mb-0 lightContentPrimary text-right text-capitalize">
              *Description:
            </p>
          </v-col>
          <v-col cols="12" sm="8" class="pa-3">
            <div id="hideBottomInput">
              <v-textarea dense outlined placeholder="Collection description" v-model="collection.desc">
              </v-textarea>
            </div>
          </v-col>
          <!-- <v-col cols="12" sm="4" class="pa-3">
            <p class="mb-0 mt-1 lightContentPrimary text-right text-capitalize">
              *Open for sale:
            </p>
          </v-col>
          <v-col cols="12" sm="8" class="pa-3">
            <div id="hideBottomInput">
              <v-switch v-model="collectionStatus" inset class="mt-0">
              </v-switch>
            </div>
          </v-col> -->
        </v-row>
      </v-card>
      <v-card class="elevation-0 pa-6 mt-2">
        <div class="d-sm-flex align-center justify-space-between">
          <p class="mb-0 fsize-18 lightContentPrimary">
            Products by
          </p>
          <div id="hideBottomInput" class="d-flex align-center mt-3 mt-sm-0">
            <p class="mb-0 fsize-14-600 lightContentPrimary">
              Filter
            </p>
            <v-autocomplete dense outlined :items="listFilter" item-text="name" item-value="value" class="ml-3"
              v-model="filter"></v-autocomplete>
          </div>
        </div>
        <div class="mt-4">
          <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card" v-if="loadingTable">
          </v-skeleton-loader>
          <v-simple-table class="scrollTable c-pointer" fixed-header v-else
            style="border: 1px solid #EDEEEF; border-radius: 8px 8px 8px 8px;">
            <template v-slot:default>
              <thead>
                <tr>
                  <th class="px-0">
                    <div class="d-flex align-center" style="width: 670px !important">
                      <v-checkbox v-model="selectedAll" class="pl-3"></v-checkbox>
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2">
                        Name
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-0">
                    <div style="width: 180px !important">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Collection name
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-0">
                    <div style="width: 180px !important">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Variant
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-0">
                    <div style="width: 180px !important">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        price
                      </p>
                    </div>
                  </th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(product,i) in listProduct" :key="i">
                  <td class="px-0 py-2">
                    <div class="d-flex align-center">
                      <v-checkbox v-model="listIds" :value="product._id" class="pl-3"></v-checkbox>
                      <div class="d-flex align-center">
                        <img :src="convertImageProduct(product)" alt="" class="rounded-lg"
                          style="width: 64px; height: 64px">
                      </div>
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2">
                        {{product.productName.length > 50 ? product.productName.slice(0,50) : product.productName}}...
                      </p>
                    </div>
                  </td>
                  <td class="px-0">
                    <p class="mb-0 fsize-14 font-weight-bold">
                      {{product.categoryId && product.categoryId.name}}
                    </p>
                  </td>
                  <td class="px-0">
                    <p class="mb-0 fsize-14 font-weight-bold"
                      v-if="product && product.listVariant && product.listVariant.length">
                      {{product.listVariant.length}} variant
                    </p>
                  </td>
                  <td class="px-0">
                    <p class="mb-0 fsize-16 font-weight-bold" v-if="product.price">
                      ${{product.price && $utils.formatCurrency(product.price)}}
                    </p>
                    <p class="mb-0 fsize-16 font-weight-bold"
                      v-if="product && product.listVariant && product.listVariant.length">
                      ${{product.listVariant[0].price}}
                    </p>
                  </td>
                </tr>
              </tbody>
            </template>
          </v-simple-table>
          <div class="d-flex justify-center my-2" v-if="listProduct.length == 0 && !loadingTable">
            <div>
              <div class="d-flex align-center justify-center">
                <img src="~/assets/images/no-product.png" alt="" width="136" height="136">
              </div>
              <p class="mb-0 text-center colorGreyHeaderTable">
                Before you open your store, first you need some products.
              </p>
              <p class="mb-0 text-center fsize-11 colorGreyHeaderTable">
                Your added Product will be shown here
              </p>
            </div>
          </div>
          <div class="text-center mt-4 pb-2 d-sm-flex align-center justify-center">
            <v-pagination v-model="config.page" :length="totalPage" :total-visible="5" class="pagination">
            </v-pagination>
            <div id="hideBottomInput" class="input-gotopage pos-relative mx-3 mx-sm-0 mt-3 mt-sm-0">
              <v-text-field dense outlined v-model.number="config.page" placeholder="Go to page">
              </v-text-field>
              <div class="button-inside-input">
                <v-btn height="36px" color="#076CE3" class="px-0 button-inside-input__button elevation-0">
                  <v-icon color="#ffffff">
                    mdi-chevron-right
                  </v-icon>
                </v-btn>
              </div>
            </div>
          </div>
        </div>
      </v-card>
      <v-card class="elevation-0 pa-6 mt-4">
        <div class="d-flex align-center justify-space-between">
          <p class="mb-0 fsize-18 lightContentPrimary">
            Sub-collection
          </p>
          <div>
            <v-btn color="#FF5252" class="elevation-0" @click="dialogDeleteCollection = true">
              <p class="mb-0 fsize-16 text-capitalize white--text">
                Delete collection
              </p>
            </v-btn>
          </div>
        </div>
      </v-card>
    </v-col>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogMediaPicker" max-width="960px">
      <v-card class="pa-0 ">
        <div class="d-flex align-center justify-space-between py-2 px-4">
          <p class="mb-0 fsize-18 lightContentPrimary">
            Choose Photo
          </p>
          <v-btn color="#949494" @click="dialogMediaPicker  = false" icon small>
            <v-icon color="#949494" size="20">
              mdi-close
            </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div>
          <MediaPicker :isShowUploadPhoto="true" :limitImage="true" :dialogMediaPicker.sync="dialogMediaPicker" />
        </div>
        <div class="d-flex align-center justify-space-between" style="height: 76px;">
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogDeleteCollection" max-width="383">
      <v-card class="pa-0">
        <div class="py-5 px-6">
          <div class="d-flex align-center justify-center">
            <v-icon color="#EB5757" size="56">
              mdi-folder-text
            </v-icon>
          </div>
          <p class="mb-0 mt-4 h6 text-center contentSemanticRed">
            Delete Collection
          </p>
          <p class="mt-6 fsize-16 contentMain">
            Do you want to delete this collection {{findNameCollection}}?
          </p>
        </div>
        <div class="pb-8 px-4 d-flex align-center justify-space-between">
          <v-btn text width="49%" @click="dialogDeleteCollection = false">
            <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
              Cancel
            </p>
          </v-btn>
          <v-btn color="#FF5252" class="elevation-0" width="49%" @click="onDeleteCollection()">
            <p class="mb-0 fsize-16 font-weight-bold white--text">
              Delete
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>